Bug 183331 - compat-openldap missing features
compat-openldap missing features
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-28 05:42 EST by Bastien Nocera
Modified: 2015-01-07 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0417
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-02-28 05:42:36 EST
compat-openldap-2.1.30-4

On x86-64:
$ ldd /usr/lib64/libldap.so.2.0.130
       liblber-2.2.so.7 => not found
       libresolv.so.2 => /lib64/libresolv.so.2 (0x0000002a957bf000)
       libdl.so.2 => /lib64/libdl.so.2 (0x0000002a958d4000)
       libc.so.6 => /lib64/tls/libc.so.6 (0x0000002a959d7000)
       /lib64/ld-linux-x86-64.so.2 => /lib64/ld-linux-x86-64.so.2
(0x0000002a95556000)

On x86:
ldd /usr/lib/libldap.so.2.0.130
       liblber-2.2.so.7 => /usr/lib/liblber-2.2.so.7 (0x00cd1000)
       libresolv.so.2 => /lib/libresolv.so.2 (0x00113000)
       libdl.so.2 => /lib/libdl.so.2 (0x00941000)
       libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x00186000)
       libssl.so.4 => /lib/libssl.so.4 (0x0012b000)
       libcrypto.so.4 => /lib/libcrypto.so.4 (0x00d11000)
       libc.so.6 => /lib/tls/libc.so.6 (0x0019a000)
       /lib/ld-linux.so.2 (0x0094e000)
       libcrypt.so.1 => /lib/libcrypt.so.1 (0x002c4000)
       libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00429000)
       libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00668000)
       libcom_err.so.2 => /lib/libcom_err.so.2 (0x00c82000)
       libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x0015f000)
       libz.so.1 => /usr/lib/libz.so.1 (0x002f2000)

The x86-64 version is missing krb5, and SSL support.
Comment 3 Jay Fenlason 2006-03-20 15:42:03 EST
Have they confirmed that krb5 and ssl don't work with the supplied library?  
What kind of executable are they using that uses the compat-openldap library? 
Comment 12 Bob Johnson 2006-04-11 12:17:00 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 17 Red Hat Bugzilla 2006-08-10 17:39:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0417.html

Note You need to log in before you can comment on or make changes to this bug.